/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package it.unibo.ds.lab.sockets.client;

import java.io.IOException;
import java.net.InetSocketAddress;
import java.net.Socket;

public class EchoClient {

    public static void main(String[] args) {
        var host = args[0];
        var port = Integer.parseInt(args[1]);
        try {
            echo(host, port);
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        } catch (InterruptedException ignored) {
            // silently ignored
        }
    }

    public static void echo(String host, int port) throws IOException, InterruptedException {
        Socket server = new Socket();

        System.out.printf("Contacting host %s:%d...\n", host, port);
        // connect to the host, possibly with timeout
        System.out.println("Connection established");

        // start two concurrent activities:
        // - read bytes from stdin and redirect them to the socket's output stream
        // - read bytes from the socket's input stream and redirect them to stdout

    }
}
